Skip to navigation

Execute a renewal

View as Markdown

Starts executing the renewal asynchronously: the excluded billing terms are removed from the draft renewal contract, the draft is marked processed, and the renewal becomes APPROVED. Poll GET /v3/renewals/:id until the status is APPROVED. The renewal must be DRAFT and have a draft renewal contract (approve the contract to generate one). Repeat calls start only one workflow.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequired
Renewal Id

Request

This endpoint expects an object.
excludedBillingTermIdslist of stringsOptional
Billing term ids on the draft renewal contract to leave out of the renewal. Ids not on the current draft are ignored.

Response

The execute workflow was started
payloadobject
Response payload, will be empty when success is false
successboolean

Boolean with true=success, false=failure

messagestring

Plain-text description of the result

errorobjectOptional
json element with any error messages or warnings

Errors

400
Bad Request Error
404
Not Found Error